Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035449
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2017-03-07 18:052017-09-21 16:50
ReporterngarciaView Statuspublic 
Assigned ToCSousa 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisiona94d701d0892
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035449: Movement date of Goods movements created from Stock Reservations window should be truncated

DescriptionMovement date of Goods movements created from Stock Reservations window should be truncated
Steps To ReproduceAs group admin role:
   Set the Enable Stock Reservations preference to Y
   Log out and log in
   Create a sales order, add a product with stock to it and book it
   Click on Manage reservation and reserve the product
   Go to Stock Reservation window and create a Goods Movement from the reservation
   Check through database the movementdate column of m_movement table has hours, minutes and seconds
Proposed SolutionTruncate the date before assigning it with the setMovementDate function in:

ReservedGoodMovementActionHandler.doExecute
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096059)
CSousa (developer)
2017-04-19 09:11

As group admin role:
   Set the Enable Stock Reservations preference to Y
   Log out and log in
   Create a sales order, add a product with stock to it and book it
   Click on Manage reservation and reserve the product
   Go to Stock Reservation window and create a Goods Movement from the reservation
   Check through database the movementdate column of m_movement table has only the date.
(0099113)
hgbot (developer)
2017-09-18 14:22

Repository: erp/devel/pi
Changeset: a94d701d08929330c474fd70a363db1869af335e
Author: Carlos Sousa <carlos.sousa <at> openbravo.com>
Date: Wed Apr 19 09:01:34 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a94d701d08929330c474fd70a363db1869af335e [^]

Fixes issue 35449: Movement date of Goods movements
created from Stock Reservations window should be truncated.

Movement date of Goods movements
created from Stock Reservations window has been truncated.

---
M src/org/openbravo/common/actionhandler/ReservedGoodMovementActionHandler.java
---
(0099114)
aferraz (developer)
2017-09-18 14:22

Code review + Testing OK
(0099408)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-03-07 18:05 ngarcia New Issue
2017-03-07 18:05 ngarcia Assigned To => Triage Finance
2017-03-07 18:05 ngarcia Modules => Core
2017-03-07 18:05 ngarcia Triggers an Emergency Pack => No
2017-03-07 18:05 ngarcia Issue Monitored: networkb
2017-03-07 18:36 ngarcia Proposed Solution updated
2017-04-19 09:11 CSousa Note Added: 0096059
2017-05-08 13:30 CSousa Status new => scheduled
2017-05-08 13:30 CSousa Assigned To Triage Finance => CSousa
2017-09-18 14:22 hgbot Checkin
2017-09-18 14:22 hgbot Note Added: 0099113
2017-09-18 14:22 hgbot Status scheduled => resolved
2017-09-18 14:22 hgbot Resolution open => fixed
2017-09-18 14:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a94d701d08929330c474fd70a363db1869af335e [^]
2017-09-18 14:22 aferraz Review Assigned To => aferraz
2017-09-18 14:22 aferraz Note Added: 0099114
2017-09-18 14:22 aferraz Status resolved => closed
2017-09-18 14:22 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099408


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker